{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}

{% block javascripts %}
    <script>
        angular.module('alignment-editor').config(['appConfig', 'extractPreviewEndpointProvider',
            function(appConfig, extractPreviewEndpointProvider) {
                //appConfig.debug = true;
                appConfig.endpoints = {
                    ontology:   "{{ path('api.ontology', {profile: 'alignment'}) }}",
                    xpath:      "{{ path('api.xpath_schema', {flux_id: flux.id}) }}",
                    alignment:  "{{ path('api.rules', {flux_id: flux.id, revision_id: revision.id}) }}",
                    preview:    "{{ path('api.preview', {flux_id: flux.id}) }}",
                    stats:      "{{ path('api.stats', {flux_id: flux.id}) }}",
                    atomic:     "{{ path('api.atomic') }}"
                };
                extractPreviewEndpointProvider.setUrl("{{ path('api.expr_preview', {flux_id: flux.id}) }}");
            }]);
    </script>
{% endblock %}

{% block content_container %}
<div ng-app="alignment-editor">

    <div class="breadcrumb-container">
        <div class="container-fluid">
            <div class="row">
                <div class="col-xs-2">
                    <a href="{{ path('flux.ruleset.index', {id: flux.id, revision_id: revision.id}) }}" class="text-sm text-muted"><span class="fa fa-caret-left"></span> Revenir au flux</a>
                </div>
                <div class="col-xs-10">
                    <div ui-view="breadcrumb"></div>
                </div>
            </div>
        </div>
    </div>

    <!-- Full Width Column -->
    <div class="content-wrapper">
        <div class="container-fluid">
            <div ui-view>
                <div class="blankslate blankslate-xspacious blankslate-spinner">
                    <h4>Chargement de l'éditeur en cours...</h4>
                </div>
            </div>
        </div>
        <!-- /.container -->
    </div>
</div>
{% endblock %}